List of all members
clan::OpenGLWindowDescription Class Reference
clanGL Display

OpenGL specific display window description. More...

`#include <opengl_window_description.h>`

## Public Member Functions
Construction
| OpenGLWindowDescription ()
| Constructs a window description with default values. More...
virtual | ~OpenGLWindowDescription ()
| Constructs a OpenGLWindowDescription. More...
Attributes
int | get_version_major () const
| Returns selected major version number. More...
int | get_version_minor () const
| Returns selected minor version number. More...
bool | get_allow_lower_versions () const
| Returns true if allowed lower versions than the selected version. More...
bool | get_debug () const
| Returns true if the debug flag is set. More...
bool | get_forward_compatible () const
| Returns true if the forward compatible flag is set. More...
bool | get_core_profile () const
| Returns true if the core profile flag is set. More...
bool | get_compatibility_profile () const
| Returns true if the compatibility profile flag is set. More...
int | get_layer_plane () const
| Returns the layer plane value. More...
Operations
void | set_version (int major, int minor, bool allow_lower_versions)
| Select the OpenGL version number. More...
void | set_debug (bool enable)
| Sets the debug flag. More...
void | set_forward_compatible (bool enable)
| Sets the forward compatible flag. More...
void | set_core_profile (bool enable)
| Sets the core profile flag. More...
void | set_compatibility_profile (bool enable)
| Sets the compatibility profile flag. More...
void | set_layer_plane (int value)
| Sets the layer plane value. More...

## Detailed Description

OpenGL specific display window description.

Use this class to setup OpenGL specific settings for a top level window:

       OpenGLWindowDescription desc;
       desc.set_stereo(true);
       desc.set_stencil_size(4);
       OpenGLWindow window(desc);

The documentation for this class was generated from the following file:

- opengl_window_description.h